Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004904 [JEDI VCL] 00 JVCL Components minor always 2009-08-28 11:02 2009-09-10 20:05
Reporter Artur View Status public  
Assigned To remkobonte
Priority normal Resolution fixed  
Status resolved   Product Version 3.37
Summary 0004904: JvMail can't send with Outlook 2003 (JvMail.SendMail), generates General MAPI Error 2
Description I changed my pc und installed new version of jcl. JvMail now don't work with Outlook 2003. But it does with Thunderbird, Outlook Express, Lotus Notes and David Tobit.

It always generate Error "Gereral MAPI Error 2". This error is tested on ca. 10 computers, most of them with xp, some with win2000 und my own with vista.

It then used the MailExample form the demos:the same. The i started an old version of my programm with jcl 1.101: the function worked.
With the MailExample even download is possible on my system. On the pc in company it crashed, too. It doesn't matter, if Outlook is synchronized with a pop account or with an exchange account.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0016057)
remkobonte (developer)
2009-09-07 20:47

This should be fixed in Revision 12493 of JvMail.pas.

Workaround is to manually set the Name property of the recipients before calling SendMail.

For example:

  JvMail1.Recipient[0].Name := JvMail1.Recipient[0].Address;
(0016059)
Artur (reporter)
2009-09-08 13:45

Thank you, this works fine for me.
Wasn't this an already fixed bug?
(0016087)
remkobonte (developer)
2009-09-10 20:05

I don't know. This bug was caused by a removal of an insidious "With" statement in one of the last revisions.

Thanks for the feedback!

- Issue History
Date Modified Username Field Change
2009-08-28 11:02 Artur New Issue
2009-09-07 20:47 remkobonte Note Added: 0016057
2009-09-07 20:47 remkobonte Assigned To => remkobonte
2009-09-07 20:47 remkobonte Status new => feedback
2009-09-08 13:45 Artur Note Added: 0016059
2009-09-10 20:05 remkobonte Note Added: 0016087
2009-09-10 20:05 remkobonte Status feedback => resolved
2009-09-10 20:05 remkobonte Fixed in Version => Daily / SVN
2009-09-10 20:05 remkobonte Resolution open => fixed
2009-09-22 13:02 gpcaretti Issue Monitored: gpcaretti
2010-01-12 18:26 gpcaretti Issue End Monitor: gpcaretti


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker